hash_iter_s Struct Reference

## Data Fields

hash_table_t * | ht
| Hash table we are iterating over. More...
hash_entry_t * | ent
| Current entry in that table. More...
size_t | idx
| Index of next bucket to search. More...

## Detailed Description

Definition at line 168 of file hash_table.h.

## Field Documentation

hash_entry_t* hash_iter_s::ent

Current entry in that table.

Definition at line 170 of file hash_table.h.

Referenced by hash_table_iter_next(), and jsgf_grammar_free().

hash_table_t* hash_iter_s::ht

Hash table we are iterating over.

Definition at line 169 of file hash_table.h.

Referenced by hash_table_iter(), and hash_table_iter_next().

size_t hash_iter_s::idx

Index of next bucket to search.

Definition at line 171 of file hash_table.h.

Referenced by hash_table_iter_next().

The documentation for this struct was generated from the following file:

- include/sphinxbase/hash_table.h